#ifndef SMCONTROLLER_H
#define SMCONTROLLER_H

#include <QMainWindow>

#include "SerialListener.h"

namespace Ui {
    class SMController;
}

class SMController : public QMainWindow
{
    Q_OBJECT

public:
    explicit SMController(QWidget *parent = 0);
    ~SMController();

private slots:

	void incomingData(QString);

	void on_checkConMove_toggled(bool checked);

	void on_buttonRight_clicked();

	void on_buttonLeft_clicked();

	void on_buttonSet_clicked();

private:
    Ui::SMController *ui;

	SerialListener listener;

};

#endif // SMCONTROLLER_H
